Topology - List

Hiermee haalt u een lijst op waarmee u een topologieweergave van een abonnement kunt maken.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/topologies?api-version=2015-06-01-preview

URI-parameters

Name In Vereist Type Description
subscriptionId
path True

string

pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$

Azure-abonnements-id

api-version
query True

string

API-versie voor de bewerking

Antwoorden

Name Type Description
200 OK

TopologyList

OK

Other Status Codes

CloudError

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

Azure Active Directory OAuth2-stroom

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Get topology on a subscription

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/providers/Microsoft.Security/topologies?api-version=2015-06-01-preview

Voorbeeldrespons

{
  "value": [
    {
      "properties": {
        "calculatedDateTime": "2018-07-10T13:56:10.5755270Z",
        "topologyResources": [
          {
            "resourceId": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Network/virtualNetworks/myvnet",
            "severity": "Healthy",
            "networkZones": "Internal",
            "recommendationsExist": false,
            "topologyScore": 0,
            "location": "westus",
            "children": [
              {
                "resourceId": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Network/virtualNetworks/myvnet/subnets/mysubnet"
              }
            ]
          }
        ]
      },
      "id": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Security/locations/centralus/topologies/vnets",
      "name": "vnets",
      "type": "Microsoft.Security/locations/topologies",
      "location": "westus"
    },
    {
      "properties": {
        "calculatedDateTime": "2018-07-10T13:56:10.5755270Z",
        "topologyResources": [
          {
            "resourceId": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Network/virtualNetworks/myvnet/subnets/mysubnet",
            "severity": "Healthy",
            "networkZones": "Internal",
            "recommendationsExist": false,
            "topologyScore": 5,
            "location": "westus",
            "parents": [
              {
                "resourceId": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Network/virtualNetworks/myvnet"
              }
            ]
          }
        ]
      },
      "id": "/subscriptions/3eeab341-f466-499c-a8be-85427e154bad/resourceGroups/myservers/providers/Microsoft.Security/locations/centralus/topologies/subnets",
      "name": "subnets",
      "type": "Microsoft.Security/locations/topologies",
      "location": "westus"
    }
  ]
}

Definities

Name Description
CloudError

Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactieindeling.)

CloudErrorBody

De foutdetails.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

TopologyList
TopologyResource
TopologySingleResource
TopologySingleResourceChild
TopologySingleResourceParent

CloudError

Veelvoorkomende foutreactie voor alle Azure Resource Manager-API's om foutdetails te retourneren voor mislukte bewerkingen. (Dit volgt ook de OData-foutreactieindeling.)

Name Type Description
error.additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

error.code

string

De foutcode.

error.details

CloudErrorBody[]

De foutdetails.

error.message

string

Het foutbericht.

error.target

string

Het foutdoel.

CloudErrorBody

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

CloudErrorBody[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

TopologyList

Name Type Description
nextLink

string

De URI voor het ophalen van de volgende pagina.

value

TopologyResource[]

TopologyResource

Name Type Description
id

string

Resource-id

location

string

Locatie waar de resource is opgeslagen

name

string

Resourcenaam

properties.calculatedDateTime

string (date-time)

De UTC-tijd waarop de topologie is berekend

properties.topologyResources

TopologySingleResource[]

Azure-resources die deel uitmaken van deze topologieresource

type

string

Resourcetype

TopologySingleResource

Name Type Description
children

TopologySingleResourceChild[]

Azure-resources die zijn verbonden met deze resource die zich op een lager niveau in de topologieweergave bevinden

location

string

De locatie van deze resource

networkZones

string

Geeft het niveau van de resourceconnectiviteit met internet aan (InternetFacing, Intern, enzovoort)

parents

TopologySingleResourceParent[]

Azure-resources die zijn verbonden met deze resource die zich op een hoger niveau in de topologieweergave bevinden

recommendationsExist

boolean

Geeft aan of de resource beveiligingsaanaanveling heeft

resourceId

string

Azure-resource-id

severity

string

De beveiligingsernigheid van de resource

topologyScore

integer

Score van de resource op basis van de ernst van de beveiliging

TopologySingleResourceChild

Name Type Description
resourceId

string

Azure-resource-id die als onderliggende resource fungeert in de topologieweergave

TopologySingleResourceParent

Name Type Description
resourceId

string

Azure-resource-id die als bovenliggende resource fungeert in de topologieweergave